//1.Описати своїми словами у кілька рядків, навіщо у програмуванні потрібні цикли.
//Цикли покликані для виконання якоїсь частини коду багато разів, для оптимізації та зменьшення кількості потрібного коду для виконання певної операції, наприклад перебір бази данних.


//2.Опишіть у яких ситуаціях ви використовували той чи інший цикл в JS.
// цикл For дозволяє прописати багато умов в один рядок: створити змінну циклу, діапазон та ітерацію.
// цикл While дозволяє виконувати певну дію поки умова яка заходить є інстиною. якщо така умова була хибною то цикл не почнется жодго разу. 


//3.Що таке явне та неявне приведення (перетворення) типів даних у JS?
//Явне перетворення відбувається коли ми вчинняємо певні дії щодо перетворення, наприклад використовуємо привенення до строки toString ();
//Неявне перетврорення відвувається не як наслідок спеціальних дій для петерворення, а як наслідок якихось інших дій. Наприклад, коли хочемо скласти 2 числа, але одне є рядком ("5" + 3) то отримаємо просто рядкок (53).


//Завдання:

let userNumber = +prompt ("Write a number");

if (userNumber < 5) {
    console.log("Sorry, no numbers")
} else {
    for (let i = 1; i<=userNumber; i++) {
        if (i % 5 === 0) {
            console.log (i);
        } 
    }
}



